Skip to main content
GET
/
v1
/
payments
List payments
curl --request GET \
  --url https://api.flowlix.eu/v1/payments \
  --header 'Authorization: Bearer <token>'
{
  "object": "list",
  "data": [
    {
      "id": "pay_1N3fKx2eZvKYlo2C0XjMr8pV",
      "object": "payment",
      "amount": 4999,
      "currency": "eur",
      "status": "succeeded",
      "description": "Order #1234",
      "card": {
        "brand": "visa",
        "last4": "4242",
        "exp_month": 12,
        "exp_year": 2027,
        "country": "US"
      },
      "customer": {
        "email": "jenny@example.com",
        "name": "Jenny Rosen"
      },
      "metadata": {
        "order_id": "ord_1234",
        "sku": "WIDGET-XL"
      },
      "decline_code": null,
      "decline_message": null,
      "redirect_url": null,
      "refunded_at": null,
      "succeeded_at": 1719792000,
      "failed_at": null,
      "created": 1719792000,
      "livemode": false
    }
  ],
  "has_more": true,
  "url": "/v1/payments"
}

Authorizations

Authorization
string
header
required

Use your secret API key as the Bearer token. Test mode keys start with fl_test_sk_ and live mode keys start with fl_live_sk_.

Authorization: Bearer fl_test_sk_abc123def456

Headers

Flowlix-Version
string

The API version to use for this request. Defaults to your account's default version if not specified. Format: YYYY-MM-DD.

Pattern: ^\d{4}-\d{2}-\d{2}$

Query Parameters

limit
integer
default:10

Maximum number of payments to return. Accepts values between 1 and 100. Defaults to 10.

Required range: 1 <= x <= 100
starting_after
string

A cursor for forward pagination. Provide the id of the last payment in the previous page to fetch the next page of results.

Pattern: ^pay_[a-zA-Z0-9-]+$
ending_before
string

A cursor for backward pagination. Provide the id of the first payment in the current page to fetch the previous page of results.

Pattern: ^pay_[a-zA-Z0-9-]+$
status
enum<string>

Filter payments by status.

Available options:
pending,
succeeded,
failed,
refunded
created[gte]
integer<int64>

Return payments created on or after this Unix timestamp (inclusive).

created[lt]
integer<int64>

Return payments created before this Unix timestamp (exclusive).

Response

A paginated list of payments.

A paginated list of Payment objects.

object
enum<string>

Object type; always list.

Available options:
list
Example:

"list"

data
object[]

An array of payment objects.

has_more
boolean

Whether there are additional results beyond this page. If true, use the id of the last item in data as the starting_after cursor to fetch the next page.

Example:

true

url
string

The URL for this list endpoint.

Example:

"/v1/payments"